org.eclipse.cdt.core.model

## Interface IElementChangedListener

All Known Implementing Classes:
  CBuildConfiguration, ScannerProvider, StandardBuildConfiguration

    public interface IElementChangedListener

An element changed listener receives notification of changes to C elements maintained by the C model.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `elementChanged(ElementChangedEvent event)` Notifies that one or more attributes of one or more C elements have changed.

### Method Detail

#### elementChanged

    void elementChanged(ElementChangedEvent event)

Notifies that one or more attributes of one or more C elements have changed. The specific details of the change are described by the given event.

Parameters:
  `event` - the change event